#ifndef _VIEWGLOBAL_H
#define _VIEWGLOBAL_H

#include "EngineEnums.h"

namespace Engine {

/** \brief Draws the given string at the given position using the current
 * OpenGL transformations */
void DrawGLString (float x, float y, const char* str);
void SelectFont (const char* font);
void SetFontJustification (FontJustification justification);
float GetCurrentFontSize();

unsigned int GetWindowWidth();
unsigned int GetWindowHeight();

int GetFrameRate ();

}

#endif /* _VIEWGLOBAL_H */
